function MISConfigurator() {
	this.name = "MISConfigurator";
	
	this.__construct = function __construct() {

	}
	
	this.__toString = function __toString() {
		return MISConfigurator.name;
	}
	
	this.dragAndDrop = function dragAndDrop(p_dragType,p_dragID,p_dropType,p_dropID,p_dropOrder) {
		CMgr.getMODEL().getRetrieveInput(MISConfigurator.__toString(),"dragAndDrop",p_dragType,p_dragID,p_dropType,p_dropID,p_dropOrder);
	}
	
	this.loadTranslation = function loadTranslation(p_app,p_key) {
		Ajax.request(MISConfigurator.__toString(),"loadTranslation",p_app,p_key,MISConfigurator.loadTranslationCb);
	}
	
	this.loadTranslationCb = function loadTranslationCb(cb) {
		k = 0;

		for(var i in cb) {
			if(k%2>0){k++; continue;}
			Browser.getElementById("translation_"+cb[k]).value = cb[k+1];
			k++;
		}
	}
	this.selectSection = function selectSection(ev,p_menu) {
		if(!ev) ev = window.event;
		//Tree.select(ev,p_menu);
		ctrlPressed =ev.ctrlKey;
		if(!ctrlPressed) {
			Cookie.create(Tree.__toString()+"_administrationMenu2_scroll",0);
			Cookie.create(Tree.__toString()+"_administrationMenu3_scroll",0);
			Cookie.create(Tree.__toString()+"_administrationMenu4_scroll",0);
			//CMgr.getMODEL().getMain("MISConfigurator","publishes",p_menu.id);
			Ajax.request(MISConfigurator.__toString(),"configReportsForm",p_menu.id,MISConfigurator.configReportsFormCb);
			Ajax.request(MISConfigurator.__toString(),"configScorecardsForm",p_menu.id,MISConfigurator.configScorecardsFormCb);
			Ajax.request(MISConfigurator.__toString(),"configDashboardsForm",p_menu.id,MISConfigurator.configDashboardsFormCb);
		}
	}
	this.selectEmailSection = function selectEmailSection(ev,p_menu) {
		if(!ev) ev = window.event;
		//Tree.select(ev,p_menu);
		ctrlPressed =ev.ctrlKey;
		if(!ctrlPressed) {
			Cookie.create(Tree.__toString()+"_administrationMenu11_scroll",0);
			//CMgr.getMODEL().getMain("MISConfigurator","publishes",p_menu.id);
			Ajax.request(MISConfigurator.__toString(),"createEmailReportsForm",p_menu.id,MISConfigurator.emailReportsFormCb);
		}
	}
	this.emailReportsFormCb = function(p_cb) {
		Browser.getElementById("emailReportsForm").innerHTML = p_cb;
		Tree.setToUserView(Browser.getElementById("administrationMenu11"));
	}
	
	this.submitCreateEmailReport = function submitCreateEmailReport(p_obj){
		var selected = Cookie.read("Tree_administrationMenu11_selected");
		if(selected != "") {
			Browser.getElementById("createEmailReportSelected").value = selected;
			return Form.submit(p_obj,"MISConfigurator","saveRetrieveInput");
		}else{
			alert("Wählen Sie einen Bericht aus.");
			return false;
		}
	}
	
	this.configReportsFormCb = function(p_cb) {
		Browser.getElementById("configReportsForm").innerHTML = p_cb;
		Tree.setToUserView(Browser.getElementById("administrationMenu2"));
	}
	this.configScorecardsFormCb = function(p_cb) {
		Browser.getElementById("configScorecardsForm").innerHTML = p_cb;
		Tree.setToUserView(Browser.getElementById("administrationMenu3"));
	}
	this.configDashboardsFormCb = function(p_cb) {
		Browser.getElementById("configDashboardsForm").innerHTML = p_cb;
		Tree.setToUserView(Browser.getElementById("administrationMenu4"));
	}
	this.selectReport = function selectReport(ev,p_menu) {
		Tree.select(ev,p_menu);
	}
}
var MISConfigurator = new MISConfigurator();
